
From: Andrew Morton <akpm@osdl.org>

Cc: Dipankar Sarma <dipankar@in.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/alpha/kernel/osf_sys.c |    3 +--
 1 files changed, 1 insertion(+), 2 deletions(-)

diff -puN arch/alpha/kernel/osf_sys.c~files-fix-preemption-issues-tidy arch/alpha/kernel/osf_sys.c
--- devel/arch/alpha/kernel/osf_sys.c~files-fix-preemption-issues-tidy	2005-09-13 18:45:51.000000000 -0700
+++ devel-akpm/arch/alpha/kernel/osf_sys.c	2005-09-13 18:45:51.000000000 -0700
@@ -1002,9 +1002,8 @@ osf_select(int n, fd_set __user *inp, fd
 	fdt = files_fdtable(current->files);
 	max_fdset = fdt->max_fdset;
 	rcu_read_unlock();
-	if (n < 0 || n > max_fdset) {
+	if (n < 0 || n > max_fdset)
 		goto out_nofds;
-	}
 
 	/*
 	 * We need 6 bitmaps (in/out/ex for both incoming and outgoing),
_
